<?php

/*******************************************************************************

    Autore ....... Mario Marovelli
    Contatto ..... mariulin@tin.it / tecnici@tecnos2.it
    Programma .... Meteosat Images
    Versione ..... 0.8
    Funzione ..... This program insert the latest Meteosat image and put it
                   over or under the Folder List.
    Traduction     Guillaume Arcas / guillaume.arcas@free.fr

*******************************************************************************/

   // include compatibility plugin
   //
   if (defined('SM_PATH'))
      include_once(SM_PATH . 'plugins/compatibility/functions.php');
   else if (file_exists('../plugins/compatibility/functions.php'))
      include_once('../plugins/compatibility/functions.php');
   else if (file_exists('./plugins/compatibility/functions.php'))
      include_once('./plugins/compatibility/functions.php');


function meteosat_show_before_do()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $left_size;

    if ($meteosat_image && ($meteosat_position == 'above' || $meteosat_position == ''))
    {
            print "<a href=$meteosat_image target=\"new\">";
            print "<center><img src=$meteosat_image border=1 width=120 height=120 alt=\"MeteoSat\"></center></a><br>";
    }

    return;
}

function meteosat_show_after_do()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $left_size;

    if ($meteosat_image && $meteosat_position == 'below')
    {
            print "<a href=$meteosat_image target=\"new\">";
            print "<center><img src=$meteosat_image border=1 width=120 height=120 alt=\"MeteoSat\"></center></a><br>";
    }

    return;
}

function meteosat_show_options_do()
{
    global $meteosat_image, $meteosat_position, $username, $meteosat_type;
    print '

<tr><td colspan="2">&nbsp;</td></tr>
<tr><td colspan="2" align=center><b>Options Affichage Meteosat</b></td></tr>

        <tr>
            <td align=right>Rgion :</td>
            <td>
               <select name="sat_image_in">
    ';

    if ($meteosat_image == '')
                $sel = ' selected';
        print "<option value='' ".$sel.">Aucune Image\n";
    $sel = '';

    if (strpos($meteosat_image, 'D2'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/D2_07_0_latest.jpg".$sel.">Europe (D2)\n";
    $sel = '';

    if (strpos($meteosat_image, 'D3'))
        	$sel = ' selected';
	print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/D3_07_0_latest.jpg".$sel.">Moyen Orient (D3)\n";
    $sel = '';

    if (strpos($meteosat_image, 'D5'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/D5_07_0_latest.jpg".$sel.">Afrique Centrale (D5)\n";
    $sel = '';

    if (strpos($meteosat_image, 'D6'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/D6_07_0_latest.jpg".$sel.">Afrique de l'Est (D6)\n";
    $sel = '';

    if (strpos($meteosat_image, 'D9'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/D9_07_0_latest.jpg".$sel.">Afrique du Sud (D9)\n";
    $sel = '';

    if (strpos($meteosat_image, 'DTOT'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/DTOT_07_0_latest.jpg".$sel.">Europe Afrique - Moyen-Orient (DTOT)\n";
    $sel = '';

    if (strpos($meteosat_image, 'ITOT'))
                $sel = ' selected';
        print "<option value=http://oiswww.eumetsat.org/~idds/images/out/latest/
DTOT_05_0_latest.jpg".$sel.">Ocean Indien (ITOT)\n";
    $sel = '';

    if (strpos($meteosat_image, 'namerica'))
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/namerica.jpg".$sel.">Amrique du Nord e Amerique Central\n";
    $sel = '';

    if (strpos($meteosat_image, 'samerica'))
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/samerica.jpg".$sel.">Amrique du Sud\n";
    $sel = '';

    if (strpos($meteosat_image, 'ausnzin'))
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/ausnzin.jpg".$sel.">Australie\n";
    $sel = '';

    print '
            </td>
         </tr>
	</select>
         <tr>
            <td align=right>Afficher la photo satellite:</td>
            <td>
               <select name="meteosat_position_in">
    ';
    if ($meteosat_position == 'above')
        $sel = ' selected';
    print "<option value=above".$sel.">Au-dessus de la liste des dossiers\n";
    $sel = '';

    if ($meteosat_position == 'below' || $meteosat_position == '')
        $sel = ' selected';
    print "<option value=below".$sel.">Sous la liste des dossiers\n";
    $sel = '';

    print '
               </select>
            </td>
         </tr>
         <tr>
             <td>

</td>
</tr>


    ';

    return;
}

function meteosat_save_options_do()
{
    global $data_dir, $username, $sat_image_in, $meteosat_position_in, $leftsize, $meteosat_type_in;

    compatibility_sqextractGlobalVar('sat_image_in');
    compatibility_sqextractGlobalVar('meteosat_position_in');

    setPref($data_dir, $username, 'meteosat_image', $sat_image_in);
    setPref($data_dir, $username, 'meteosat_position', $meteosat_position_in);

    return;
}

function meteosat_load_options_do()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $username, $data_dir;

    $meteosat_image = getPref($data_dir, $username, 'meteosat_image');
    $meteosat_position = getPref($data_dir, $username, 'meteosat_position');

    return;
}

?>
